Bug 94216 - Unable to Install x86 5.0.1.2 on x86-64 W10: Error 1303
Summary: Unable to Install x86 5.0.1.2 on x86-64 W10: Error 1303
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Installation (show other bugs)
Version:
(earliest affected)
5.0.1.2 release
Hardware: x86-64 (AMD64) Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 93761 94840 113022 (view as bug list)
Depends on:
Blocks: Installer-Windows
  Show dependency treegraph
 
Reported: 2015-09-14 18:37 UTC by Robertjm
Modified: 2019-07-11 11:17 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments
zip file of install attempt log (1.29 MB, application/zip)
2015-10-06 20:07 UTC, Robertjm
Details
screen shot of error received during installation (169.17 KB, image/jpeg)
2015-10-06 20:08 UTC, Robertjm
Details
Log file after attempted to install LO5.0.2 with administrative rights (1.29 MB, text/plain)
2015-10-06 20:21 UTC, Robertjm
Details
install log from successful 64bit installation (2.23 MB, text/plain)
2015-10-07 06:37 UTC, Robertjm
Details
Install Log LibreOffice 5.4.1.2 Win86 (as update) (1.26 MB, application/x-zip-compressed)
2017-09-18 13:43 UTC, codemanx
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Robertjm 2015-09-14 18:37:29 UTC
Downloaded latest version of LO (v5.1.0.2 this morning. Ran installer. However, gets Error 1303 about administrator privileges about halfway through the process.

This the EXACT SAME account I've been using to install LO updates with in the past, with the same permissions. Only difference is that this is the latest technology preview, which was released by MSFT 7-10 days ago.

FWIW: The Help file installer does install without any error messages.

EQUIPMENT:
Fujitsu AH531 laptop
running Windows 10 64bit version Technology Preview version (Build 10532)
Comment 1 Robertjm 2015-09-14 22:34:17 UTC
I have been able to get passed the problem by making sure the program is completely uninstalled and then rebooting the computer.

Once restarted I have downloaded and installed the LO v5.0.2.x beta that's available, and did not encounter the error anymore.
Comment 2 V Stuart Foote 2015-09-14 23:39:44 UTC
Thanks for filing. And glad you have it sorted.

Setting Resolved WFM, but if you again have issues, try to capture a verbose log of the installation by running the following from a command window:

msiexec.exe /i LibreOffice_5.0.1_Win_x86.msi /L*v install.log

It will be large text file, so zip it up and then post.
Comment 3 Robertjm 2015-10-06 20:07:53 UTC
Created attachment 119368 [details]
zip file of install attempt log
Comment 4 Robertjm 2015-10-06 20:08:42 UTC
Created attachment 119369 [details]
screen shot of error received during installation
Comment 5 Robertjm 2015-10-06 20:10:31 UTC
Unfortunately, I received the exact same error today when trying to upgrade to v5.0.2.2 on my Windows 10 laptop. 

Per your request, attached is a zipped log file from the installation attempt; plus a screen shot of the error message I received.
Comment 6 Robertjm 2015-10-06 20:17:35 UTC
And here's something else. I just tried running the install from a terminal, which I'd opened with Administrative privileges. I got the exact same Error 1303 message this time too. 

I will be attaching another log file; this time ran from the terminal with Administrative Privileges.
Comment 7 Robertjm 2015-10-06 20:21:09 UTC
Created attachment 119370 [details]
Log file after attempted to install LO5.0.2 with administrative rights

Here is the log file after opening a terminal with administrative privileges.
Comment 8 V Stuart Foote 2015-10-06 23:12:58 UTC
Hmm, so looking through the Run as Administrator install log...

at line 89002 things go sideways--- set target is fine, but source folder gets boinked. "Folder=1\program\" with a ChangeMedia call to mount it.

That is odd.

=-=-=


Action 13:14:19: InstallFiles. Copying new files
MSI (s) (98:48) [13:14:19:593]: Executing op: ProgressTotal(Total=560334165,Type=0,ByteEquivalent=1)
MSI (s) (98:48) [13:14:19:593]: Executing op: SetTargetFolder(Folder=C:\Program Files (x86)\LibreOffice 5\program\)
MSI (s) (98:48) [13:14:19:593]: Executing op: SetSourceFolder(Folder=1\program\)
MSI (s) (98:48) [13:14:19:593]: Executing op: ChangeMedia(MediaVolumeLabel=DISK1,MediaPrompt=Please insert the disk: 1,MediaCabinet=libreoffice1.cab,BytesPerTick=65536,CopierType=2,ModuleFileName=C:\WINDOWS\Installer\38f8e6ae.msi,,,,,IsFirstPhysicalMedia=1)
MSI (s) (98:48) [13:14:19:593]: Executing op: FileCopy(SourceName=sbase.exe,SourceCabKey=sbase.exe,DestName=sbase.exe,Attributes=16384,FileSize=68712,PerTick=65536,,VerifyMedia=1,,,,,CheckCRC=0,Version=5.0.2.2,Language=0,InstallMode=58982400,,,,,,,)
MSI (s) (98:48) [13:14:19:593]: File: C:\Program Files (x86)\LibreOffice 5\program\sbase.exe;	To be installed;	Won't patch;	No existing file
MSI (s) (98:48) [13:14:19:593]: Source for file 'sbase.exe' is compressed
InstallFiles: File: sbase.exe,  Directory: C:\Program Files (x86)\LibreOffice 5\program\,  Size: 68712
MSI (s) (98:48) [13:14:19:937]: Note: 1: 1303 2: C:\Program Files (x86)\LibreOffice 5\program 
DEBUG: Error 2835:  The control ErrorIcon was not found on dialog SetupError
Internal Error 2835. ErrorIcon, SetupError
Error 1303.The installer has insufficient privileges to access this directory: C:\Program Files (x86)\LibreOffice 5\program.  The installation cannot continue.  Log on as an administrator or contact your system administrator.
Comment 9 Robertjm 2015-10-06 23:43:19 UTC
I will readily admit I don't completely understand the whole back end process of program installation. But, why is it looking for C:\Windows\Installer\... for the source location?

I was executing the downloaded file directly in the Downloads folder, which would be:

c:\Users\Robert\Downloads\LibreOffice_5.0.2_Win_x86.msi
Comment 10 V Stuart Foote 2015-10-07 04:04:28 UTC
*** Bug 94840 has been marked as a duplicate of this bug. ***
Comment 11 V Stuart Foote 2015-10-07 04:09:26 UTC
If having similar issues with an install on 64-bit Windows 10, please comment on if the upgrade install package is 32-bit or 64-bit build of LibreOffice, and if you're running from command prompt "Run as Administrator", or with the actual Administrator account.
Comment 12 Joel Madero 2015-10-07 05:03:03 UTC
I believe that this is worthy of upping priority to highest as it's preventing install completely. Also, is this a regression? If so, should add to keywords.
Comment 13 Robertjm 2015-10-07 06:12:29 UTC
Yes Stuart. It is the 64bit version. I had mentioned in my previous comment that the error is happening both with the standard terminal screen AND the "run with Administrative" privileges terminal screen.
Comment 14 Robertjm 2015-10-07 06:15:31 UTC
I stand corrected. The installer is the x86 version, which was automatically offered to me when I go to the download page. I am currently downloading the x64 installer, and will try that as soon as it is completely downloaded.
Comment 15 Robertjm 2015-10-07 06:37:11 UTC
Created attachment 119379 [details]
install log from successful 64bit installation

installed from non-admin command line.
Comment 16 Robertjm 2015-10-07 06:40:35 UTC
OK, so the 64bit installer worked successfully from a non-admin privileged command line. I have attached the installation log form the successful attempt in case it should be helpful for the developers to see what happened differently only my system this time.

I guess I hadn't realized I was using the 32bit version because I simply downloaded the version which was offered to me when I go to the download page. I had assumed it was detecting my Windows O/S installed, and offering me the proper version. But, that's not the case.

Shouldn't the 32bit version install on my system anyways?
Comment 17 Robinson Tryon (qubit) 2015-10-08 14:11:10 UTC
(In reply to Robertjm from comment #16)
> OK, so the 64bit installer worked successfully from a non-admin privileged
> command line.

So: 64bit works okay

> I guess I hadn't realized I was using the 32bit version because I simply
> downloaded the version which was offered to me...

And: 32bit isn't working  (right?)

Updating Summary -> mention 32bit LO and 64bit Windows

(In reply to Robertjm from comment #5)
> Unfortunately, I received the exact same error today when trying to upgrade
> to v5.0.2.2 on my Windows 10 laptop. 

So you can reproduce on two machines?  Well, much harder for us to write it off to hardware gremlins.. :-/
Comment 18 Robertjm 2015-10-08 16:23:36 UTC
Sorry but I don't have another Windows machine lurking around to try.
Comment 19 Dirk Munk 2015-11-16 15:21:59 UTC
This has been a consistent problem with several previous versions of the 64 bit version of LibreOffice.

For some reason the program directory is not completely deleted during the uninstall process. The program directory is left in a unknown state, and after a reboot it is gone.

The only way to update LibreOffice x64 now is to uninstall the old version, reboot the system to remove the install directory, and then install the new version.
Comment 20 G.Ostner (LOBugs) 2016-03-13 11:24:07 UTC
Could this be because part of LO is still in memory? Or that Windows thinks that a file/folder is still used by some process?

I usually get such problems because recent versions of Windows have been increasingly slow to "realise" that no process is using a file/folder any more. It could also be the Antivirus programm still checking a file. 

Another possible culprit could be the quickstart feature.
Comment 21 Dirk Munk 2016-03-13 12:47:06 UTC
In 5.0.5 the problem is gone. I'm using 5.1.1.1 at the moment, since a previous version of 5.1 kept crashing (a known problem).
Comment 22 gwuertz 2016-04-14 17:36:34 UTC
I run win10 on a i7 and had similar problem this morning updating to 5.1.2.2. I had also just applied win10 update KB3147458. The installer threw a 1303 permissions error on  Program File (x86)\LibreOffice5 forcing me to cancel the install. In the control panel, LO was no longer listed as installed. I tried running the LO msi as administrator without avail - same error. Also as administrator, I could not delete the Pro*\LibreOffice5 directory to try a fresh install. 

I realised that this was a windows open file problem and rebooted, renamed the LO directory, and was able to do a fresh install. After checking out the install, the old renamed directory deleted fine.

I seem to recall some other permissions problem on an earlier update, but running the msi as administrator seemed to fix it.
Comment 23 Buovjaga 2016-10-20 17:10:18 UTC
*** Bug 93761 has been marked as a duplicate of this bug. ***
Comment 24 Dirk Munk 2016-10-20 18:20:34 UTC
That is a bit odd. Bug 93761 was reported first, and this one was added later. So this one is a duplicate of 93761.

Anyway, the problem still exists, and is very easy to describe. When installing a new version of LibreOffice, the old version will be deinstalled. At the end of this procedure the program directory will be deleted, but this will fail. The program directory is left in a kind of locked state, it can not be deleted, and it is not possible to write anything into it. Only a reboot will resolve this problem, after the reboot the program directory is gone and it will be possible to install the new version of LibreOffice.
Comment 25 codemanx 2017-09-18 13:43:44 UTC
Created attachment 136338 [details]
Install Log LibreOffice 5.4.1.2 Win86 (as update)

I just tried to update my LibreOffice to the lastest v5.4.1.2 on Windows 10 using the x86 MSI installer. It failed with Error 1303, because it can't access the path "program".

I'm an admin user and the installer requested rights elevation, so it can't be a permission problem. The folder it should refer to is supposed to be "Program Files" or "Program Files (x86)" I guess. Because it tries to access "program" however, it looks to me like the path is not properly escaped / quoted and thus "Program Files..." becomes "Program" (up to first space), and it can't find the previous installation there.
Comment 26 Dirk Munk 2017-09-18 13:57:33 UTC
No, this is the program directory in the Libreoffice directory.

This is an old problem, somehow the deinstall procedure doesn't work properly and leaves this program directory in an unknown state. You have to reboot your PC, then the program directory is gone and you can install. That's the only solution I could find.
Comment 27 Timur 2017-10-10 17:17:12 UTC
*** Bug 113022 has been marked as a duplicate of this bug. ***
Comment 28 QA Administrators 2018-10-11 03:02:53 UTC Comment hidden (obsolete)
Comment 29 Michael 2018-10-23 05:42:03 UTC
Just did an install of LibreOffice_6.1.1_Win_x64.msi and have the exact same problem. System went to uninstall the old version 6.0 and left behind a directory ../LibreOffice/program then the install failed and the directory can not be erased.

$ ls -al Li*
LibreOffice:
total 32
drwxrwx---+ 1 SYSTEM                    SYSTEM         0 Oct 23 00:35 .
drwxr-x---+ 1 NT SERVICE+TrustedInstaller NT SERVICE+TrustedInstaller 0 Oct 23 01:29 ..
drwxr-x---  1 Unknown+User              Unknown+Group  0 Oct 23 00:18 program

Had to define a new directory to install and that worked fine. But now I have an empty directory that I cannot erase (even as Administrator).
Comment 30 Dirk Munk 2018-10-23 09:18:34 UTC
A restart of your computer will erase the program directory. 

By the way, I have a similar problem with Affinity Publisher, after de-installing it, the main directory will remain in a locked unusable state. Restart the PC, problem over.
Comment 31 Dirk Munk 2018-11-15 18:14:54 UTC
When upgrading form 6.1.2 to 6.1.3, the same old problem occurred, and I had to restart the PC.

Version: 6.1.3.2 (x64)
Build ID: 86daf60bf00efa86ad547e59e09d6bb77c699acb
CPU threads: 8; OS: Windows 10.0; UI render: default; 
Locale: nl-NL (nl_NL); Calc: group threaded
Comment 32 sophiarose 2019-01-07 13:24:53 UTC Comment hidden (spam)
Comment 33 Mike Kaganski 2019-04-23 09:25:43 UTC
Some notes:

(In reply to V Stuart Foote from comment #8)
> at line 89002 things go sideways--- set target is fine, but source folder
> gets boinked. "Folder=1\program\" with a ChangeMedia call to mount it.
> 
> That is odd.
> 
> =-=-=
> 
> 
> Action 13:14:19: InstallFiles. Copying new files
> MSI (s) (98:48) [13:14:19:593]: Executing op:
> ProgressTotal(Total=560334165,Type=0,ByteEquivalent=1)
> MSI (s) (98:48) [13:14:19:593]: Executing op:
> SetTargetFolder(Folder=C:\Program Files (x86)\LibreOffice 5\program\)
> MSI (s) (98:48) [13:14:19:593]: Executing op:
> SetSourceFolder(Folder=1\program\)
> MSI (s) (98:48) [13:14:19:593]: Executing op:
> ChangeMedia(MediaVolumeLabel=DISK1,MediaPrompt=Please insert the disk:
> 1,MediaCabinet=libreoffice1.cab,BytesPerTick=65536,CopierType=2,

No that's OK. The command selects *first MSI cabinet* and "program" directory in it as the source of files. Regarding a question from comment 9 wrt "why is it looking for C:\Windows\Installer\... for the source location?" - well, Windows Installer saves a copy of installation database to its own folder for deferred (run with elevated privileges) phase. That's normal, too.

(In reply to Dirk Munk from comment #19 and comment #20)

These are the two really good comments. The problem here is that updating LibreOffice first *uninstalls* previous version (it asks Windows Installer to do its normal job removing an installed package) - and in that process, LibreOffice directory under Program Files is removed. But - yes, *sometimes*, for unclear reasons directly related to used state of the directory, it might hang in a "limbo state", not being removed completely. That might have something to do with multitude of Windows locking/sharing mode combinations, when a process might open a directory with a permission that others processes are free to delete the directory - but then Windows mush still guarantee somehow that the directory handle owned by first process is still valid... but that is completely out of control of LibreOffice installation database.

What is relevant is that the problem could likely be solved only by avoiding removing older version prior to installation of the newer version (moving installer's RemoveExistingProducts down the execution sequence) - see bug 117492, which I couldn't solve myself.
Comment 34 exterminatorbugs 2019-07-11 09:06:43 UTC Comment hidden (spam)
Comment 35 mary224488 2019-07-11 11:17:19 UTC Comment hidden (spam)